gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Object for keyboard code manipulation

Defines translations from keyboard states to a `keyval`. Two phase translation: determine keyboard group and level for keyboard state, then lookup the keycode/group/level triplet in the keymap and get the corresponding keyval. Keycode is the hardware/keyboard code for that key. Keygroup is used for language and horizontal tracking [ "group 1" is english, "group 2" is hebrew]. Keylevel is used to track letter case/alternate representation and vertical movement [ level 0 is "a", level 1 is "A" ; alternately, level 0 is "1" and level 1 is "!" ].

- Constructor
  2.12.0.0
  To be added
  To be added
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Internal constructor
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  Gdk.Keymap To be added To be added: an object of type 'Gdk.Keymap' To be added
- Property
  2.12.0.0
  Pango.Direction Member that represents the current direction of the keymap. An object of type 'Pango.Direction', current keymap direction. None
- Event
  2.12.0.0
  GLib.Signal("direction_changed")
  System.EventHandler An event handler that raised when the direction of a keymap has been changed. None
- Method
  2.12.0.0
  System.Void `` `` `` An object of type , a keyboard code. An object of type , return reference for the list of keys. An object of type , return reference for the list of corresponding keyvals for Stores in a reference to a list of the keys bound to . The nth Gdk.KeymapKey in is associated with the nth keyval in . When a keycode is pressed by the user, the keyval from is selected.
- Method
  2.12.0.0
  Gdk.KeymapKey[] `` An object of type , such as GDK_a, GDK_up, GDK_RETURN, etc. Gets a list of keycode/group/level combinations that generate a . the list of key sequences.
- Method
  2.12.0.0
  Gdk.Keymap `` a To be added a To be added
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Method
  2.12.0.0
  System.Boolean Requests Bidi layout status. If , bi-directional layout is in use. To be added.
- Event
  2.12.0.0
  GLib.Signal("keys_changed")
  System.EventHandler To be added To be added
- Method
  2.12.0.0
  System.UInt32 `` An object of type 'Gdk.KeymapKey', initalized keycode/group/level triplet. Looks up a keyval mapped to a keycode/group/level triplet. If no keyval is bound to `key`, the method returns 0. An object of type 'uint', a keyval or 0 if none was found. None
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDirectionChanged", Type=typeof(Gdk.Keymap))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideKeysChanged", Type=typeof(Gdk.Keymap))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Boolean `` `` `` `` `` `` `` An object of type , a keyboard code. An object of type , a modifier state. An object of type , active keyboard group. An object of type , return reference for `keyval`. An object of type , return reference for `effective group`. An object of type , return reference for the new level. An object of type , return reference for modifiers used to determine group/level. Translates the contents of a Gdk.KeymapKey into a keyval/group/level. Modifiers affecting the translation are returned in `consumed_modifiers`. `effective_group` is the group used in translation. Key level is determined by `state`. An object of type , return if keys were found and returned.